Bug 239170 - emulators/wine-devel: version for wine-mono-devel dependency out of date
Summary: emulators/wine-devel: version for wine-mono-devel dependency out of date
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-12 17:09 UTC by chadf
Modified: 2019-07-15 04:44 UTC (History)
0 users

See Also:
gerald: maintainer-feedback+


Attachments
emulators/wine-devel/Makefile patch file (548 bytes, patch)
2019-07-12 17:09 UTC, chadf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chadf 2019-07-12 17:09:41 UTC
Created attachment 205726 [details]
emulators/wine-devel/Makefile patch file

When MONO option enabled, build fails due to requiring old mono version which wine-mono-devel no longer installs.
Comment 1 Gerald Pfeifer freebsd_committer 2019-07-13 19:10:24 UTC
You're right, and I've got not much of an idea how I could have missed
that given that it was me updating the wine-mono-devel port, committing
that update as part of the update for wine-devel, and mentioning this in
the commit log for both parts. :-(

I'll commit the fix tomorrow or first thing Monday morning.  Thank you!
Comment 2 commit-hook freebsd_committer 2019-07-15 04:42:08 UTC
A commit references this bug:

Author: gerald
Date: Mon Jul 15 04:41:30 UTC 2019
New revision: 506637
URL: https://svnweb.freebsd.org/changeset/ports/506637

Log:
  Fix the dependency on the wine-mono-devel port which was updated, but
  this dependency missed in terms of code, even if mentioned in the log,
  in revision 504944 | gerald | 2019-06-23.

  PR:		239170
  Submitted by:	chadf@triularity.org

Changes:
  head/emulators/wine-devel/Makefile
Comment 3 Gerald Pfeifer freebsd_committer 2019-07-15 04:44:34 UTC
Should be resolved now; please advise if there's anything missing.